## ros-humble-mrpt-map-server 2.2.0

=== debian/changelog ===
ros-humble-mrpt-map-server (2.2.0-1bookworm) bookworm; urgency=high

  * Merge pull request #149 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/149> from mrpt-ros-pkg/feature/utm-coordinates
    Support UTM global coordinates for geo-referenciated maps
  * Update package.xml: minimum required version of mp2p_icp
  * mrpt_map_server now publishes the map georeferenciation metadata, as topics and /tf (frames: utm, enu)
  * Update URL entries in package.xml to each package proper documentation
  * ament linters: manually enable just cmake and xml linters
  * reformat clang-format with 100 column width
  * Update README.md with geo-referenciation concepts
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 24 Sep 2024 16:00:00 -0000

ros-humble-mrpt-map-server (2.1.1-1bookworm) bookworm; urgency=high

  * Remove temporary workaround in <depends> for buggy mrpt_libros_bridge package.xml
  * update dependencies
  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco
  * Remove temporary workaround in <depends> for buggy mrpt_libros_bridge package.xml
  * update dependencies
  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 01 Sep 2024 16:00:00 -0000

ros-humble-mrpt-map-server (2.1.0-1bookworm) bookworm; urgency=high

  * docs: typos and clarifications
  * map server: simplify publication policy. Using transient local only and never republishing them
  * Merge branch 'ros2' into wip/port-tps-astar
  * Merge branch 'ros2' into wip/port-tps-astar
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 07 Aug 2024 16:00:00 -0000

ros-humble-mrpt-map-server (2.0.1-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-mrpt-map-server (2.0.0-1bookworm) bookworm; urgency=high

  * Implement map getter services
  * Define map_server services
  * Comply with ROS2 REP-2003
  * new param force_republish_period
  * map_server: publish voxelmaps as points too
  * map_server: Implement publishing from .mm files
  * Rename mrpt_map: mrpt_map_server
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-mrpt-map-server (1.0.3-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 16:00:00 -0000

ros-humble-mrpt-map-server (1.0.2-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 16:00:00 -0000

ros-humble-mrpt-map-server (1.0.1-1bookworm) bookworm; urgency=high

  * Fix build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 16:00:00 -0000

ros-humble-mrpt-map-server (1.0.0-1bookworm) bookworm; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 16:00:00 -0000

ros-humble-mrpt-map-server (0.1.26-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 16:00:00 -0000

ros-humble-mrpt-map-server (0.1.25-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 16:00:00 -0000

ros-humble-mrpt-map-server (0.1.24-1bookworm) bookworm; urgency=high

  * fix build against mrpt-1.5
  * Fix build against MRPT 1.9.9
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 16:00:00 -0000

ros-humble-mrpt-map-server (0.1.23-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 16:00:00 -0000

ros-humble-mrpt-map-server (0.1.22-1bookworm) bookworm; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 16:00:00 -0000

ros-humble-mrpt-map-server (0.1.21-1bookworm) bookworm; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 16:00:00 -0000

ros-humble-mrpt-map-server (0.1.20-1bookworm) bookworm; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 25 Apr 2018 16:00:00 -0000

ros-humble-mrpt-map-server (0.1.18-1bookworm) bookworm; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 16:00:00 -0000

ros-humble-mrpt-map-server (0.1.17-1bookworm) bookworm; urgency=high


