=== debian/control ===
Source: ros-humble-mrpt-map-server
Section: misc
Priority: optional
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-lint-cmake, ros-humble-ament-cmake-xmllint, ros-humble-ament-lint-auto, ros-humble-mp2p-icp (>= 1.6.2), ros-humble-mrpt-libmaps, ros-humble-mrpt-libobs, ros-humble-mrpt-libros-bridge, ros-humble-mrpt-msgs, ros-humble-mrpt-nav-interfaces, ros-humble-rclcpp-components, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: https://github.com/mrpt-ros-pkg/mrpt_navigation/tree/ros2/mrpt_map_server
Standards-Version: 3.9.2

Package: ros-humble-mrpt-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake-lint-cmake, ros-humble-ament-cmake-xmllint, ros-humble-ament-lint-auto, ros-humble-mp2p-icp (>= 1.6.2), ros-humble-mrpt-libmaps, ros-humble-mrpt-libobs, ros-humble-mrpt-libros-bridge, ros-humble-mrpt-msgs, ros-humble-mrpt-nav-interfaces, ros-humble-rclcpp-components, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: This package provides a ROS 2 node that publishes a static map for other nodes to use it.
 Unlike classic ROS 1 ``map_server``, this node can publish a range of different metric maps, not only occupancy grids.
